FreeBSD : FreeBSD -- heap overflow in file(1) (8e01ab5b-0949-11dc-8163-000e0c2e438a)

High Nessus Plugin ID 25359


The remote FreeBSD host is missing a security-related update.


When writing data into a buffer in the file_printf function, the length of the unused portion of the buffer is not correctly tracked, resulting in a buffer overflow when processing certain files. Impact :
An attacker who can cause file(1) to be run on a maliciously constructed input can cause file(1) to crash. It may be possible for such an attacker to execute arbitrary code with the privileges of the user running file(1).

The above also applies to any other applications using the libmagic(3) library. Workaround : No workaround is available, but systems where file(1) and other libmagic(3)-using applications are never run on untrusted input are not vulnerable.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 25359

File Name: freebsd_pkg_8e01ab5b094911dc8163000e0c2e438a.nasl

Version: $Revision: 1.10 $

Type: local

Published: 2007/06/01

Modified: 2015/03/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:file, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2007/05/23

Vulnerability Publication Date: 2007/05/23

Reference Information

CVE: CVE-2007-1536

BID: 23021

OSVDB: 34285

FreeBSD: SA-07:04.file